> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a comment

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/comments/{comment_id}

Returns an entry comment by ID. Any user with read access to the entry can read its comments; space admins can read comments in any entry.

Reference: https://contentful.com/developers/docs/references/content-management-api/entry-comments/get-a-comment

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `entry_id` (string, required) — ID of the entry in form of a string
- `comment_id` (string, required) — ID of the comment

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "body": "Looks good to me!",
  "status": "active",
  "sys": {
    "createdAt": "2025-07-02T16:31:06.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "<comment_id>",
    "parent": {
      "sys": {
        "id": "<comment_id>",
        "linkType": "Comment",
        "ref": "fields.description.en",
        "type": "Link"
      }
    },
    "parentEntity": {
      "sys": {
        "id": "5KsDBWseXY6QegucYAoacS",
        "linkType": "Entry",
        "type": "Link"
      }
    },
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Comment",
    "updatedAt": "2025-07-02T16:31:06.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1
  }
}
```

**SDK Code**

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const comment = await client.comment.get({
 spaceId: '<space_id>',
 commentId: '<comment_id>',
 entryId: '<entry_id>',
 environmentId: '<environment_id>',
 bodyFormat: 'plain-text' | 'rich-text',
});
```

```android Android
No snippet for this SDK.
```

```java Java
No snippet for this SDK.
```

```kotlin Kotlin
No snippet for this SDK.
```

```swift Swift
No snippet for this SDK.
```

```js-legacy JavaScript (legacy)
No snippet for this SDK.
```

```php PHP
No snippet for this SDK.
```

```ruby Ruby
No snippet for this SDK.
```

```python Python
No snippet for this SDK.
```

```.net .NET
No snippet for this SDK.
```